# angular-typed
the angularjs typing tool module, that helps you with typing animation

### Getting started:

Download the package from GitHub.
```bash
git clone https://github.com/codekraft-studio/angular-typed.git
```
or using npm:
```bash
npm install angular-typed
```
Or use it from the GitHub CDN wich point to the last updated file:
```html
<script type="text/javascript" src="https://cdn.rawgit.com/codekraft-studio/angular-typed/master/dist/angular-typed.min.js"></script>
```

Add __angular-typed__ to your module dependencies:
```javascript
angular.module('app', ['angular-typed'])
```
and you can start using the __typed__ directive in your app!

---

### How it works

There are two main ways to use the __typed__ directive:

**Method 1:** as a element.
	Write some text in the typed element and it will be typed when the page is loaded.

```html
<typed>You can make it type what you want..</typed>
```

**Method 2:** as a attribute.
	Place the typed attribute where you want and it will type what is inside the element.

```html
<div typed>..this text will be typed when the page is loaded..</div>
```

---

### Development

For the development mode, go to the project folder, install all the dependencies by typing:
```bash
npm install
```
Than the gruntfile is preconfigured with two basic tasks:
```bash
grunt watch // watch file changes and rebuild
grunt build // build the dist package
```
